;;;; symbol-lolevel-utils.scm  -*- Scheme -*-
;;;; Kon Lovett, Mar '20
;;;; Kon Lovett, Jul '18

(declare
  (bound-to-procedure ##sys#intern-symbol ##sys#check-symbol))

(module symbol-lolevel-utils

(;export
  interned-symbol?)

(import scheme)
(import (chicken type))

(: interned-symbol? (symbol --> boolean))

(define (check-symbol loc obj) (##sys#check-symbol obj loc) obj)

(define (interned-symbol? sym)
  (##sys#interned-symbol? (check-symbol 'interned-symbol? sym)) )

) ;module symbol-lolevel-utils
